# Read connection credential draft metadata

`GET /api/v1/projects/{project}/targets/{target}/connection-bindings/{connection}/credential-drafts/{version}`

Operation ID: `getConnectionCredentialDraft`  
Effect: `read`  
Confirmation: `never`

## Authorization

- action: `connection.read`
- mode: `privilege`
- privilege: `RESOURCE_MANAGE`
- resolver: `connection`

## Parameters

| Name | In | Required | Schema | Description |
| --- | --- | --- | --- | --- |
| `project` | path | true | `{"maxLength":200,"minLength":1,"pattern":"^[A-Za-z0-9][A-Za-z0-9_.:-]*$","type":"string"}` |  |
| `target` | path | true | `{"maxLength":200,"minLength":1,"pattern":"^[A-Za-z0-9][A-Za-z0-9_.:-]*$","type":"string"}` |  |
| `connection` | path | true | `{"maxLength":200,"minLength":1,"pattern":"^[A-Za-z0-9][A-Za-z0-9_.:-]*$","type":"string"}` |  |
| `version` | path | true | `{"maxLength":36,"minLength":36,"pattern":"^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$","type":"string"}` |  |

## Responses

| Status | Content | Description |
| --- | --- | --- |
| `200` | `application/json` (CredentialDraftResponse) | The request has succeeded. |
| `400` | `application/problem+json` (ProblemDetails) | The server could not understand the request due to invalid syntax. |
| `401` | `application/problem+json` (ProblemDetails) | Access is unauthorized. |
| `403` | `application/problem+json` (ProblemDetails) | Access is forbidden. |
| `404` | `application/problem+json` (ProblemDetails) | The server cannot find the requested resource. |
| `409` | `application/problem+json` (ProblemDetails) | The request conflicts with the current state of the server. |
| `412` | `application/problem+json` (ProblemDetails) | Precondition failed. |
| `413` | `application/problem+json` (ProblemDetails) | Client error |
| `415` | `application/problem+json` (ProblemDetails) | Client error |
| `422` | `application/problem+json` (ProblemDetails) | Client error |
| `429` | `application/problem+json` (ProblemDetails) | Client error |
| `500` | `application/problem+json` (ProblemDetails) | Server error |
| `502` | `application/problem+json` (ProblemDetails) | Server error |
| `503` | `application/problem+json` (ProblemDetails) | Service unavailable. |
